Bug 113499 - -pie succeeds incorrectly on ppc64
-pie succeeds incorrectly on ppc64
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: binutils (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-14 13:40 EST by Elliot Lee
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-07 11:10:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elliot Lee 2004-01-14 13:40:56 EST
cat >t.c <<EOF
void asdf(void);
int main(void) {
    asdf();
    return 0;
}
EOF

$ cc -o t t.c
undefined reference to '.asdf'

$ cc -o t t.c -pie
$ echo $?
0
$ ./t
./t: relocation error: ./t: undefined symbol: asdf

binutils-2.14.90.0.7-1
gcc-3.3.2-5

On the ppc64 arch for Fedora Core 2 development tree.
Comment 1 Jakub Jelinek 2004-10-07 11:10:51 EDT
cc -o t t.c -pie; echo $?; rpm -q --qf '%{name}-%{version}-%{release}.%{arch}\n' binutils
/tmp/ccmggx7d.o(.text+0x14): undefined reference to `asdf'
collect2: ld returned 1 exit status
1
binutils-2.15.92.0.2-2.ppc64

Note You need to log in before you can comment on or make changes to this bug.